// instalacni makro
// - prevede stary format zaznamu o CWG v databazi na novy
// - prevede stary format zaznamu o CWG v alternativnim souboru na novy

{$include CwgList.config.pas}
{$include RelToAbsPath.lib.pas}

const INSTALL_DIR='CwgList';

procedure ConvertDbFormat1To2;
var dotaz:string;
begin
  //ShowMessage('Uprava databaze');
  dotaz:='update geotagvalue set value=replace(replace(value,''='',''="''),''>'',''"/>'')'
        +'  where value not like ''%="%"/>%'' and value like ''% (<%=%>)'' ';
  Geoget_DB.ExecSQL(dotaz);
end;

procedure ConvertFileFormat1To2;
var f,s:string;
begin
  //ShowMessage('Uprava alternativniho souboru');
  f:=RelToAbsFilename(FILE_ALTERNATIVE,GEOGET_SCRIPTDIR+'\'+INSTALL_DIR);
  if(FileExists(f)) then begin
    s:=FileToString(f);
    // napred prevedeme na format verze 1 (pro pripad, ze uz to ve formatu verze 2 je)
    s:=ReplaceString(s,'="','=');
    s:=ReplaceString(s,'"/>','>');
    // a ted na novy (verze 2)
    s:=ReplaceString(s,'=','="');
    s:=ReplaceString(s,'>','"/>');
    StringToFile(s,f);
  end;
end;

procedure ReadCatalog;
var s:string;
begin
  s:=RelToAbsPath(DIR_OFFLINE,GEOGET_SCRIPTDIR+'\'+INSTALL_DIR);
  s:=RelToAbsFilename(FILE_KATALOG,s);
  s:=GEOGET_SCRIPTDIR+'\CwgList\GgsCwgList.exe -r '+s;
  if(FileExists(GEOGET_SCRIPTDIR+'\CwgList\GgsCwgList.exe')) then RunExec(s)
  else ShowMessage('Nenalezen plugin '+GEOGET_SCRIPTDIR+'\CwgList\GgsCwgList.exe'+CRLF+
    'Offline katalog je od tto verze v novm formtu,'+
    'ale pro nenalezen pluginu jej nelze aktualizovat.');
end;

function InstallWork:string;
begin
  //ShowMessage('InstallWork');
  ConvertDbFormat1To2;
  ConvertFileFormat1To2;
  ReadCatalog;   //offline katalog je v novem formatu, proto jej musime aktualizovat
  Result:='';
end;
